<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.4"/>
<title>Framework: GroupBox Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Framework
   </div>
   <div id="projectbrief">Framework drone</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.4 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('class_group_box.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Properties</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&#160;</span>Groups</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="class_group_box-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">GroupBox Class Reference<div class="ingroups"><a class="el" href="group___framework.html">Framework</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>Class displaying a <a class="elRef" target="_blank" doxygen="/home/guillaume/igep/uav_dev/doc/qt.tag:http://qt-project.org/doc/qt-4.8/" href="http://qt-project.org/doc/qt-4.8/qgroupbox.html">QGroupBox</a> on the ground station.  
 <a href="class_group_box.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_group_box_8h_source.html">GroupBox.h</a>&gt;</code></p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Inheritance diagram for GroupBox:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
 <div class="center">
  <img src="class_group_box.png" usemap="#GroupBox_map" alt=""/>
  <map id="GroupBox_map" name="GroupBox_map">
<area href="class_layout_item.html" title="Abstract class to display a layout on the ground station. " alt="LayoutItem" shape="rect" coords="70,112,200,136"/>
<area href="class_widget.html" title="Abstract class for all Framework&#39;s widget classes. " alt="Widget" shape="rect" coords="70,56,200,80"/>
<area href="class_object.html" title="Base class for all Framework&#39;s classes. " alt="Object" shape="rect" coords="70,0,200,24"/>
<area href="class_battery_monitor.html" title="Virtual class for battery monitor. " alt="BatteryMonitor" shape="rect" coords="0,224,130,248"/>
<area href="class_one_axe_rotation.html" title="Class defining a rotation around one axis. " alt="OneAxeRotation" shape="rect" coords="140,224,270,248"/>
<area href="class_parrot_battery_monitor.html" title="Parrot battery monitor. " alt="ParrotBatteryMonitor" shape="rect" coords="0,280,130,304"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a6a3dc293b7f6d3c96e288f1f4e8ad3c9"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_group_box.html#a6a3dc293b7f6d3c96e288f1f4e8ad3c9">GroupBox</a> (<a class="el" href="class_layout_item.html">LayoutItem</a> *parent, std::string name, int row, int col)</td></tr>
<tr class="memdesc:a6a3dc293b7f6d3c96e288f1f4e8ad3c9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a6a3dc293b7f6d3c96e288f1f4e8ad3c9">More...</a><br/></td></tr>
<tr class="separator:a6a3dc293b7f6d3c96e288f1f4e8ad3c9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab80daa730d4ec1b28f570c917dfc217d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_group_box.html#ab80daa730d4ec1b28f570c917dfc217d">~GroupBox</a> ()</td></tr>
<tr class="memdesc:ab80daa730d4ec1b28f570c917dfc217d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#ab80daa730d4ec1b28f570c917dfc217d">More...</a><br/></td></tr>
<tr class="separator:ab80daa730d4ec1b28f570c917dfc217d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_class_layout_item"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_class_layout_item')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="class_layout_item.html">LayoutItem</a></td></tr>
<tr class="memitem:a285578982a11f0126fa984204e8eed86 inherit pub_methods_class_layout_item"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_layout_item.html#a285578982a11f0126fa984204e8eed86">LayoutItem</a> (<a class="el" href="class_widget.html">Widget</a> *parent, std::string name, std::string type)</td></tr>
<tr class="memdesc:a285578982a11f0126fa984204e8eed86 inherit pub_methods_class_layout_item"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a285578982a11f0126fa984204e8eed86">More...</a><br/></td></tr>
<tr class="separator:a285578982a11f0126fa984204e8eed86 inherit pub_methods_class_layout_item"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adf0053c1262cc685cfcff55317c172fd inherit pub_methods_class_layout_item"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_layout_item.html#adf0053c1262cc685cfcff55317c172fd">~LayoutItem</a> ()</td></tr>
<tr class="memdesc:adf0053c1262cc685cfcff55317c172fd inherit pub_methods_class_layout_item"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#adf0053c1262cc685cfcff55317c172fd">More...</a><br/></td></tr>
<tr class="separator:adf0053c1262cc685cfcff55317c172fd inherit pub_methods_class_layout_item"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_class_widget"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_class_widget')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="class_widget.html">Widget</a></td></tr>
<tr class="memitem:a92227be425c28c8a90a237387a45917f inherit pub_methods_class_widget"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_widget.html#a92227be425c28c8a90a237387a45917f">Widget</a> (<a class="el" href="class_widget.html">Widget</a> *parent, std::string name, std::string type)</td></tr>
<tr class="memdesc:a92227be425c28c8a90a237387a45917f inherit pub_methods_class_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a92227be425c28c8a90a237387a45917f">More...</a><br/></td></tr>
<tr class="separator:a92227be425c28c8a90a237387a45917f inherit pub_methods_class_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a714cf798aadb4d615f6f60a355382c02 inherit pub_methods_class_widget"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_widget.html#a714cf798aadb4d615f6f60a355382c02">~Widget</a> ()</td></tr>
<tr class="memdesc:a714cf798aadb4d615f6f60a355382c02 inherit pub_methods_class_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#a714cf798aadb4d615f6f60a355382c02">More...</a><br/></td></tr>
<tr class="separator:a714cf798aadb4d615f6f60a355382c02 inherit pub_methods_class_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7e0be0e1c644a569fffe5a03880af117 inherit pub_methods_class_widget"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_widget.html#a7e0be0e1c644a569fffe5a03880af117">setEnabled</a> (bool status)</td></tr>
<tr class="memdesc:a7e0be0e1c644a569fffe5a03880af117 inherit pub_methods_class_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set enabled.  <a href="#a7e0be0e1c644a569fffe5a03880af117">More...</a><br/></td></tr>
<tr class="separator:a7e0be0e1c644a569fffe5a03880af117 inherit pub_methods_class_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a012d30c854517c32624b8e6521e5fae1 inherit pub_methods_class_widget"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_widget.html#a012d30c854517c32624b8e6521e5fae1">isEnabled</a> (void)</td></tr>
<tr class="memdesc:a012d30c854517c32624b8e6521e5fae1 inherit pub_methods_class_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Is enabled?  <a href="#a012d30c854517c32624b8e6521e5fae1">More...</a><br/></td></tr>
<tr class="separator:a012d30c854517c32624b8e6521e5fae1 inherit pub_methods_class_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_class_object"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_class_object')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="class_object.html">Object</a></td></tr>
<tr class="memitem:a588cf9896a6c1f62733bc7faf013941d inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a588cf9896a6c1f62733bc7faf013941d">Object</a> (<a class="el" href="class_object.html">Object</a> *parent=NULL, std::string name=&quot;&quot;, std::string type=&quot;&quot;)</td></tr>
<tr class="memdesc:a588cf9896a6c1f62733bc7faf013941d inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a588cf9896a6c1f62733bc7faf013941d">More...</a><br/></td></tr>
<tr class="separator:a588cf9896a6c1f62733bc7faf013941d inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa3e791419d84c4c346ef9499513b8e00 inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#aa3e791419d84c4c346ef9499513b8e00">~Object</a> ()</td></tr>
<tr class="memdesc:aa3e791419d84c4c346ef9499513b8e00 inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#aa3e791419d84c4c346ef9499513b8e00">More...</a><br/></td></tr>
<tr class="separator:aa3e791419d84c4c346ef9499513b8e00 inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afaa39b1021f3a731cda644164b2be3ba inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#afaa39b1021f3a731cda644164b2be3ba">ObjectName</a> (void)</td></tr>
<tr class="memdesc:afaa39b1021f3a731cda644164b2be3ba inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name.  <a href="#afaa39b1021f3a731cda644164b2be3ba">More...</a><br/></td></tr>
<tr class="separator:afaa39b1021f3a731cda644164b2be3ba inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3e34b6351fad490250b5c0619ea22e17 inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a3e34b6351fad490250b5c0619ea22e17">ObjectType</a> (void)</td></tr>
<tr class="memdesc:a3e34b6351fad490250b5c0619ea22e17 inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Type.  <a href="#a3e34b6351fad490250b5c0619ea22e17">More...</a><br/></td></tr>
<tr class="separator:a3e34b6351fad490250b5c0619ea22e17 inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a21664d9c70f4a3dc1cd3a9ed0cf1eb5e inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_object.html">Object</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a21664d9c70f4a3dc1cd3a9ed0cf1eb5e">Parent</a> (void)</td></tr>
<tr class="memdesc:a21664d9c70f4a3dc1cd3a9ed0cf1eb5e inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parent.  <a href="#a21664d9c70f4a3dc1cd3a9ed0cf1eb5e">More...</a><br/></td></tr>
<tr class="separator:a21664d9c70f4a3dc1cd3a9ed0cf1eb5e inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aceddcf29a2c656eaaa77fbb99f344425 inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_object.html">Object</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#aceddcf29a2c656eaaa77fbb99f344425">RootParent</a> (void)</td></tr>
<tr class="memdesc:aceddcf29a2c656eaaa77fbb99f344425 inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Root parent.  <a href="#aceddcf29a2c656eaaa77fbb99f344425">More...</a><br/></td></tr>
<tr class="separator:aceddcf29a2c656eaaa77fbb99f344425 inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4d3f28e95db7f6d7d9818ba1316024c9 inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_framework_manager.html">FrameworkManager</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a4d3f28e95db7f6d7d9818ba1316024c9">RootFrameworkManager</a> (void)</td></tr>
<tr class="memdesc:a4d3f28e95db7f6d7d9818ba1316024c9 inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Root <a class="el" href="class_framework_manager.html" title="Main class of the Framework library. ">FrameworkManager</a>.  <a href="#a4d3f28e95db7f6d7d9818ba1316024c9">More...</a><br/></td></tr>
<tr class="separator:a4d3f28e95db7f6d7d9818ba1316024c9 inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0784589b4cd7109d5a6ab88bbc9fdd20 inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="class_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a0784589b4cd7109d5a6ab88bbc9fdd20">TypeChilds</a> (void)</td></tr>
<tr class="memdesc:a0784589b4cd7109d5a6ab88bbc9fdd20 inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs of the same type.  <a href="#a0784589b4cd7109d5a6ab88bbc9fdd20">More...</a><br/></td></tr>
<tr class="separator:a0784589b4cd7109d5a6ab88bbc9fdd20 inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a47326acf6f5b86e667e90f7c36b5222d inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; <a class="el" href="class_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a47326acf6f5b86e667e90f7c36b5222d">Childs</a> (void)</td></tr>
<tr class="memdesc:a47326acf6f5b86e667e90f7c36b5222d inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs.  <a href="#a47326acf6f5b86e667e90f7c36b5222d">More...</a><br/></td></tr>
<tr class="separator:a47326acf6f5b86e667e90f7c36b5222d inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a119852e43f936ff51605c4e994aa3883 inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a119852e43f936ff51605c4e994aa3883">Warning</a> (const char *function, const char *format,...)</td></tr>
<tr class="memdesc:a119852e43f936ff51605c4e994aa3883 inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted warning.  <a href="#a119852e43f936ff51605c4e994aa3883">More...</a><br/></td></tr>
<tr class="separator:a119852e43f936ff51605c4e994aa3883 inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a28958c66842aafb754b3f851c6bbc867 inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a28958c66842aafb754b3f851c6bbc867">Error</a> (const char *function, const char *format,...)</td></tr>
<tr class="memdesc:a28958c66842aafb754b3f851c6bbc867 inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted error.  <a href="#a28958c66842aafb754b3f851c6bbc867">More...</a><br/></td></tr>
<tr class="separator:a28958c66842aafb754b3f851c6bbc867 inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6a9e4e23a9d13a07552bc37f8cc004aa inherit pub_methods_class_object"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a6a9e4e23a9d13a07552bc37f8cc004aa">ErrorOccured</a> (bool recursive=true)</td></tr>
<tr class="memdesc:a6a9e4e23a9d13a07552bc37f8cc004aa inherit pub_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Has an errror occured?  <a href="#a6a9e4e23a9d13a07552bc37f8cc004aa">More...</a><br/></td></tr>
<tr class="separator:a6a9e4e23a9d13a07552bc37f8cc004aa inherit pub_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_static_methods_class_object"><td colspan="2" onclick="javascript:toggleInherit('pub_static_methods_class_object')"><img src="closed.png" alt="-"/>&#160;Static Public Member Functions inherited from <a class="el" href="class_object.html">Object</a></td></tr>
<tr class="memitem:ad46e831ac641c6aa827a3876c9f47086 inherit pub_static_methods_class_object"><td class="memItemLeft" align="right" valign="top">static Time&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#ad46e831ac641c6aa827a3876c9f47086">GetTime</a> (void)</td></tr>
<tr class="memdesc:ad46e831ac641c6aa827a3876c9f47086 inherit pub_static_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Time.  <a href="#ad46e831ac641c6aa827a3876c9f47086">More...</a><br/></td></tr>
<tr class="separator:ad46e831ac641c6aa827a3876c9f47086 inherit pub_static_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8554cf8ecd619d2f5b1a3eed36413cb6 inherit pub_static_methods_class_object"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_object.html#a8554cf8ecd619d2f5b1a3eed36413cb6">Printf</a> (const char *format,...)</td></tr>
<tr class="memdesc:a8554cf8ecd619d2f5b1a3eed36413cb6 inherit pub_static_methods_class_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted print.  <a href="#a8554cf8ecd619d2f5b1a3eed36413cb6">More...</a><br/></td></tr>
<tr class="separator:a8554cf8ecd619d2f5b1a3eed36413cb6 inherit pub_static_methods_class_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_class_widget"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_class_widget')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="class_widget.html">Widget</a></td></tr>
<tr class="memitem:a48aafd6b6654b5c024252aac4bc70ac5 inherit pro_methods_class_widget"><td class="memItemLeft" align="right" valign="top">xmlNodePtr&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_widget.html#a48aafd6b6654b5c024252aac4bc70ac5">XmlFileNode</a> (void)</td></tr>
<tr class="memdesc:a48aafd6b6654b5c024252aac4bc70ac5 inherit pro_methods_class_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Xml file node.  <a href="#a48aafd6b6654b5c024252aac4bc70ac5">More...</a><br/></td></tr>
<tr class="separator:a48aafd6b6654b5c024252aac4bc70ac5 inherit pro_methods_class_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abbbea3a6749c267547844b347fd71ef6 inherit pro_methods_class_widget"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_widget.html#abbbea3a6749c267547844b347fd71ef6">SetXmlProp</a> (std::string prop, std::string value, xmlNodePtr node=NULL)</td></tr>
<tr class="memdesc:abbbea3a6749c267547844b347fd71ef6 inherit pro_methods_class_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set xml property.  <a href="#abbbea3a6749c267547844b347fd71ef6">More...</a><br/></td></tr>
<tr class="separator:abbbea3a6749c267547844b347fd71ef6 inherit pro_methods_class_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aebff38bd81ddf78e2429a786b34f2755 inherit pro_methods_class_widget"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_widget.html#aebff38bd81ddf78e2429a786b34f2755">SetXmlProp</a> (std::string prop, xmlChar *value, xmlNodePtr node=NULL)</td></tr>
<tr class="memdesc:aebff38bd81ddf78e2429a786b34f2755 inherit pro_methods_class_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set xml property.  <a href="#aebff38bd81ddf78e2429a786b34f2755">More...</a><br/></td></tr>
<tr class="separator:aebff38bd81ddf78e2429a786b34f2755 inherit pro_methods_class_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a90a0d549ba4b1b7e481af845b40228a9 inherit pro_methods_class_widget"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_widget.html#a90a0d549ba4b1b7e481af845b40228a9">SetXmlProp</a> (std::string prop, double value, xmlNodePtr node=NULL)</td></tr>
<tr class="memdesc:a90a0d549ba4b1b7e481af845b40228a9 inherit pro_methods_class_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set xml property.  <a href="#a90a0d549ba4b1b7e481af845b40228a9">More...</a><br/></td></tr>
<tr class="separator:a90a0d549ba4b1b7e481af845b40228a9 inherit pro_methods_class_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aad467b6941c623edcbcf445f9ac97f2a inherit pro_methods_class_widget"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_widget.html#aad467b6941c623edcbcf445f9ac97f2a">SetXmlProp</a> (std::string prop, <a class="el" href="classio__data.html#a02d21f7ecb725b003e28c9d355f5712e">io_data::DataType_t</a> value, xmlNodePtr node=NULL)</td></tr>
<tr class="memdesc:aad467b6941c623edcbcf445f9ac97f2a inherit pro_methods_class_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set xml property.  <a href="#aad467b6941c623edcbcf445f9ac97f2a">More...</a><br/></td></tr>
<tr class="separator:aad467b6941c623edcbcf445f9ac97f2a inherit pro_methods_class_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d447fddf5753dba0bb7cf057ab62a60 inherit pro_methods_class_widget"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_widget.html#a1d447fddf5753dba0bb7cf057ab62a60">ClearXmlProps</a> (void)</td></tr>
<tr class="memdesc:a1d447fddf5753dba0bb7cf057ab62a60 inherit pro_methods_class_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clear all xml properties.  <a href="#a1d447fddf5753dba0bb7cf057ab62a60">More...</a><br/></td></tr>
<tr class="separator:a1d447fddf5753dba0bb7cf057ab62a60 inherit pro_methods_class_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae6d73c33036295d6f215e108bfb101e7 inherit pro_methods_class_widget"><td class="memItemLeft" align="right" valign="top">xmlNodePtr&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_widget.html#ae6d73c33036295d6f215e108bfb101e7">AddXmlChild</a> (std::string type)</td></tr>
<tr class="memdesc:ae6d73c33036295d6f215e108bfb101e7 inherit pro_methods_class_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Add an xml child.  <a href="#ae6d73c33036295d6f215e108bfb101e7">More...</a><br/></td></tr>
<tr class="separator:ae6d73c33036295d6f215e108bfb101e7 inherit pro_methods_class_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4d1ec3587da07ee941bdb6b1f067b8bd inherit pro_methods_class_widget"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_widget.html#a4d1ec3587da07ee941bdb6b1f067b8bd">SendXml</a> (void)</td></tr>
<tr class="memdesc:a4d1ec3587da07ee941bdb6b1f067b8bd inherit pro_methods_class_widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Send xml.  <a href="#a4d1ec3587da07ee941bdb6b1f067b8bd">More...</a><br/></td></tr>
<tr class="separator:a4d1ec3587da07ee941bdb6b1f067b8bd inherit pro_methods_class_widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Class displaying a <a class="elRef" target="_blank" doxygen="/home/guillaume/igep/uav_dev/doc/qt.tag:http://qt-project.org/doc/qt-4.8/" href="http://qt-project.org/doc/qt-4.8/qgroupbox.html">QGroupBox</a> on the ground station. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a6a3dc293b7f6d3c96e288f1f4e8ad3c9"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GroupBox::GroupBox </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_layout_item.html">LayoutItem</a> *&#160;</td>
          <td class="paramname"><em>parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>row</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>col</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Constructor. </p>
<p>Construct a <a class="elRef" target="_blank" doxygen="/home/guillaume/igep/uav_dev/doc/qt.tag:http://qt-project.org/doc/qt-4.8/" href="http://qt-project.org/doc/qt-4.8/qgroupbox.html">QGroupBox</a> at given place in the parent <a class="el" href="class_layout_item.html" title="Abstract class to display a layout on the ground station. ">LayoutItem</a>.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">parent</td><td>parent </td></tr>
    <tr><td class="paramname">name</td><td>name </td></tr>
    <tr><td class="paramname">row</td><td>row </td></tr>
    <tr><td class="paramname">col</td><td>column </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ab80daa730d4ec1b28f570c917dfc217d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GroupBox::~GroupBox </td>
          <td>(</td>
          <td class="paramname">)</td><td></td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Destructor. </p>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_group_box.html">GroupBox</a></li>
    <li class="footer">Generated on Wed Feb 26 2014 14:10:06 for Framework by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.4 </li>
  </ul>
</div>
</body>
</html>
